Thread (4 messages) flat view 4 messages, 2 authors, 2016-06-15

Re: git-svn: Fails to drop leading path from empty dir name

From: Eric Wong <hidden>
Date: 2016-06-15 22:47:45

Björn Steinbrink [off-list ref] wrote:
quoted hunk ↗ jump to hunk
Hi Eric,

the stuff to create empty directories fails to strip leading path
components, e.g. when using
"git svn clone -s svn://whatever/project/trunk".

Instead of creating the empty directory "foo" in the repo root, it
creates "project/trunk/foo".

Ad hoc patch for the test case below.

Björn
diff --git a/t/t9146-git-svn-empty-dirs.sh b/t/t9146-git-svn-empty-dirs.sh
index 5948544..9e22089 100755
--- a/t/t9146-git-svn-empty-dirs.sh
+++ b/t/t9146-git-svn-empty-dirs.sh
@@ -82,4 +82,27 @@ test_expect_success 'git svn mkdirs -r works' '
 	)
 '
 
+test_expect_success 'initialize trunk' '
+	for i in trunk trunk/a trunk/"weird file name"
+	do
+		svn_cmd mkdir -m "mkdir $i" "$svnrepo"/"$i"
+	done
+'
+
Hi Björn,

I'm having a bit of trouble figuring out exactly what you mean
here, can you double check your tests?  Annotations below, thanks
+test_expect_success 'clone trunk' 'git svn clone -s "$svnrepo" trunk'
                                                    ^^            ^^^^^
                                                           Huh?
+test_expect_success 'empty directories in trunk exist' '
+	(
+		cd cloned &&
                   ^^^^^^ - ?
+		for i in trunk/a trunk/"weird file name"
+		do
+			if ! test -d "$i"
+			then
+				echo >&2 "$i does not exist"
+				exit 1
+			fi
+		done
-- 
Eric Wong
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help